package gov.va.med.pharmacy.peps.external.common.fdbcloud.capability;

import gov.va.med.pharmacy.peps.common.exception.DataNotFoundException;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.model.EnvironmentInformation;

/**
 * Interface for FDB Cloud Services that retrieve EnvironnmentInformation.
 */
public interface EnvironmentInformationCapability {

    /**
     * Retrieve the EnvironmentInformation from FDB Cloud Connector.
     * 
     * @return EnvironmentInformation
     * @throws DataNotFoundException
     *             If no data is found
     */
    EnvironmentInformation retrieveEnvironmentInformation() throws DataNotFoundException;
}
