/**
 *
 */
package gov.va.med.pharmacy.peps.external.common.fdbcloud.capability.impl.rest;

import gov.va.med.pharmacy.peps.common.exception.DataNotFoundException;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.capability.ScreenCapability;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.model.Screen;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.model.ScreenResult;

import org.springframework.http.HttpMethod;
import org.springframework.web.util.UriComponentsBuilder;

/**
 * REST implementation of the ScreenCapability.
 */
public class ScreenRestImpl extends FDBCloudRestBase<Screen, ScreenResult> implements ScreenCapability {

    private static final String PATH = "Screen";

    @Override
    protected HttpMethod getHttpMethod() {
        return HttpMethod.POST;
    }

    @Override
    protected Class<ScreenResult> getResponseType() {
        return ScreenResult.class;
    }

    @Override
    protected String getUriTemplate() {
        // String uriTemplate = getBaseURL() + PATH;
        String uriTemplate = UriComponentsBuilder.fromHttpUrl(getBaseURL() + PATH).build().toUriString();
        return uriTemplate;
    }

    @Override
    public ScreenResult screen(Screen screen) throws DataNotFoundException {
        return call(screen, null);
    }
}
