package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Describes the expected physiologic (therapeutic and adverse as applicable)
 * effects upon the patient.
 */
public class ClinicalEffect {

    /** The clinical effect code. */
    private String clinicalEffectCode;

    /** The clinical effect desc. */
    private String clinicalEffectDesc;

    /**
     * Gets the clinical effect code.
     *
     * @return the clinical effect code
     */
    public String getClinicalEffectCode() {
        return clinicalEffectCode;
    }

    /**
     * Sets the clinical effect code.
     *
     * @param clinicalEffectCode the new clinical effect code
     */
    public void setClinicalEffectCode(String clinicalEffectCode) {
        this.clinicalEffectCode = clinicalEffectCode;
    }

    /**
     * Gets the clinical effect desc.
     *
     * @return the clinical effect desc
     */
    public String getClinicalEffectDesc() {
        return clinicalEffectDesc;
    }

    /**
     * Sets the clinical effect desc.
     *
     * @param clinicalEffectDesc the new clinical effect desc
     */
    public void setClinicalEffectDesc(String clinicalEffectDesc) {
        this.clinicalEffectDesc = clinicalEffectDesc;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
