package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Drug-Drug Interaction specific Screen request information.
 */
public class DDIScreenRequest extends ScreenRequestBase

{

    /** The severity filter. */
    private int severityFilter;

    /** The perform inactive ingredient screening. */
    private boolean performInactiveIngredientScreening;

    /** The use consumer severity desc. */
    private boolean useConsumerSeverityDesc;

    /**
     * Gets the severity filter.
     *
     * @return the severity filter
     */
    public int getSeverityFilter() {
        return severityFilter;
    }

    /**
     * Sets the severity filter.
     *
     * @param severityFilter the new severity filter
     */
    public void setSeverityFilter(int severityFilter) {
        this.severityFilter = severityFilter;
    }

    /**
     * Checks if is perform inactive ingredient screening.
     *
     * @return true, if is perform inactive ingredient screening
     */
    public boolean isPerformInactiveIngredientScreening() {
        return performInactiveIngredientScreening;
    }

    /**
     * Sets the perform inactive ingredient screening.
     *
     * @param performInactiveIngredientScreening the new perform inactive
     *            ingredient screening
     */
    public void setPerformInactiveIngredientScreening(boolean performInactiveIngredientScreening) {
        this.performInactiveIngredientScreening = performInactiveIngredientScreening;
    }

    /**
     * Checks if is use consumer severity desc.
     *
     * @return true, if is use consumer severity desc
     */
    public boolean isUseConsumerSeverityDesc() {
        return useConsumerSeverityDesc;
    }

    /**
     * Sets the use consumer severity desc.
     *
     * @param useConsumerSeverityDesc the new use consumer severity desc
     */
    public void setUseConsumerSeverityDesc(boolean useConsumerSeverityDesc) {
        this.useConsumerSeverityDesc = useConsumerSeverityDesc;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
