package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Drug-Drug Interaction Screen Response.
 */
public class DDIScreenResponse extends ScreenResponse

{

    /** The ddi screen results. */
    @JsonProperty(value = "ddiScreenResults")
    private List<DDIScreenResult> ddiScreenResults = new ArrayList<DDIScreenResult>();

    /**
     * Gets the DDI screen results.
     *
     * @return the DDI screen results
     */
    public List<DDIScreenResult> getDDIScreenResults() {
        return ddiScreenResults;
    }

    /**
     * Sets the DDI screen results.
     *
     * @param newDDIScreenResults the new DDI screen results
     */
    public void setDDIScreenResults(List<DDIScreenResult> newDDIScreenResults) {
        ddiScreenResults = newDDIScreenResults;
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * gov.va.med.pharmacy.peps.external.common.fdbcloud.model.ScreenResponse
     * #toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
