package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Drug-Drug Interaction Screen Result.
 */
public class DDIScreenResult

{

    /** The clinical effects. */
    private List<ClinicalEffect> clinicalEffects;

    /** The desc drug. */
    private String descDrug;

    /** The edi page reference. */
    @JsonProperty(value = "ediPageReference")
    private String ediPageReference;

    /** The has case reports. */
    private boolean hasCaseReports;

    /** The has human clinical trial. */
    private boolean hasHumanClinicalTrial;

    /** The has meeting abstract. */
    private boolean hasMeetingAbstract;

    /** The has mfg info. */
    private boolean hasMfgInfo;

    /** The has review. */
    private boolean hasReview;

    /** The has vitro or animal study. */
    private boolean hasVitroOrAnimalStudy;

    /** The interaction desc. */
    private String interactionDesc;

    /** The monograph id. */
    private int monographID;

    /** The interaction id. */
    private int interactionID;

    /** The screen drug1. */
    private ScreenDrug screenDrug1;

    /** The screen drug2. */
    private ScreenDrug screenDrug2;

    /** The screen message. */
    private String screenMessage;

    /** The severity. */
    private String severity;

    /** The severity desc. */
    private String severityDesc;

    /**
     * Gets the clinical effects.
     *
     * @return the clinical effects
     */
    public List<ClinicalEffect> getClinicalEffects() {
        return clinicalEffects;
    }

    /**
     * Sets the clinical effects.
     *
     * @param clinicalEffects the new clinical effects
     */
    public void setClinicalEffects(List<ClinicalEffect> clinicalEffects) {
        this.clinicalEffects = clinicalEffects;
    }

    /**
     * Gets the desc drug.
     *
     * @return the desc drug
     */
    public String getDescDrug() {
        return descDrug;
    }

    /**
     * Sets the desc drug.
     *
     * @param descDrug the new desc drug
     */
    public void setDescDrug(String descDrug) {
        this.descDrug = descDrug;
    }

    /**
     * Gets the edi page reference.
     *
     * @return the edi page reference
     */
    public String getEdiPageReference() {
        return ediPageReference;
    }

    /**
     * Sets the edi page reference.
     *
     * @param ediPageReference the new edi page reference
     */
    public void setEdiPageReference(String ediPageReference) {
        this.ediPageReference = ediPageReference;
    }

    /**
     * Checks if is checks for case reports.
     *
     * @return true, if is checks for case reports
     */
    public boolean isHasCaseReports() {
        return hasCaseReports;
    }

    /**
     * Sets the checks for case reports.
     *
     * @param hasCaseReports the new checks for case reports
     */
    public void setHasCaseReports(boolean hasCaseReports) {
        this.hasCaseReports = hasCaseReports;
    }

    /**
     * Checks if is checks for human clinical trial.
     *
     * @return true, if is checks for human clinical trial
     */
    public boolean isHasHumanClinicalTrial() {
        return hasHumanClinicalTrial;
    }

    /**
     * Sets the checks for human clinical trial.
     *
     * @param hasHumanClinicalTrial the new checks for human clinical trial
     */
    public void setHasHumanClinicalTrial(boolean hasHumanClinicalTrial) {
        this.hasHumanClinicalTrial = hasHumanClinicalTrial;
    }

    /**
     * Checks if is checks for meeting abstract.
     *
     * @return true, if is checks for meeting abstract
     */
    public boolean isHasMeetingAbstract() {
        return hasMeetingAbstract;
    }

    /**
     * Sets the checks for meeting abstract.
     *
     * @param hasMeetingAbstract the new checks for meeting abstract
     */
    public void setHasMeetingAbstract(boolean hasMeetingAbstract) {
        this.hasMeetingAbstract = hasMeetingAbstract;
    }

    /**
     * Checks if is checks for mfg info.
     *
     * @return true, if is checks for mfg info
     */
    public boolean isHasMfgInfo() {
        return hasMfgInfo;
    }

    /**
     * Sets the checks for mfg info.
     *
     * @param hasMfgInfo the new checks for mfg info
     */
    public void setHasMfgInfo(boolean hasMfgInfo) {
        this.hasMfgInfo = hasMfgInfo;
    }

    /**
     * Checks if is checks for review.
     *
     * @return true, if is checks for review
     */
    public boolean isHasReview() {
        return hasReview;
    }

    /**
     * Sets the checks for review.
     *
     * @param hasReview the new checks for review
     */
    public void setHasReview(boolean hasReview) {
        this.hasReview = hasReview;
    }

    /**
     * Checks if is checks for vitro or animal study.
     *
     * @return true, if is checks for vitro or animal study
     */
    public boolean isHasVitroOrAnimalStudy() {
        return hasVitroOrAnimalStudy;
    }

    /**
     * Sets the checks for vitro or animal study.
     *
     * @param hasVitroOrAnimalStudy the new checks for vitro or animal study
     */
    public void setHasVitroOrAnimalStudy(boolean hasVitroOrAnimalStudy) {
        this.hasVitroOrAnimalStudy = hasVitroOrAnimalStudy;
    }

    /**
     * Gets the interaction desc.
     *
     * @return the interaction desc
     */
    public String getInteractionDesc() {
        return interactionDesc;
    }

    /**
     * Sets the interaction desc.
     *
     * @param interactionDesc the new interaction desc
     */
    public void setInteractionDesc(String interactionDesc) {
        this.interactionDesc = interactionDesc;
    }

    /**
     * Gets the interaction id.
     *
     * @return the interaction id
     */
    public int getInteractionID() {
        return interactionID;
    }

    /**
     * Sets the interaction id.
     *
     * @param interactionID the new interaction id
     */
    public void setInteractionID(int interactionID) {
        this.interactionID = interactionID;
    }

    /**
     * Gets the monograph id.
     *
     * @return the monograph id
     */
    public int getMonographID() {
        return monographID;
    }

    /**
     * Sets the monograph id.
     *
     * @param monographID the new monograph id
     */
    public void setMonographID(int monographID) {
        this.monographID = monographID;
    }

    /**
     * Gets the screen drug1.
     *
     * @return the screen drug1
     */
    public ScreenDrug getScreenDrug1() {
        return screenDrug1;
    }

    /**
     * Sets the screen drug1.
     *
     * @param screenDrug1 the new screen drug1
     */
    public void setScreenDrug1(ScreenDrug screenDrug1) {
        this.screenDrug1 = screenDrug1;
    }

    /**
     * Gets the screen drug2.
     *
     * @return the screen drug2
     */
    public ScreenDrug getScreenDrug2() {
        return screenDrug2;
    }

    /**
     * Sets the screen drug2.
     *
     * @param screenDrug2 the new screen drug2
     */
    public void setScreenDrug2(ScreenDrug screenDrug2) {
        this.screenDrug2 = screenDrug2;
    }

    /**
     * Gets the screen message.
     *
     * @return the screen message
     */
    public String getScreenMessage() {
        return screenMessage;
    }

    /**
     * Sets the screen message.
     *
     * @param screenMessage the new screen message
     */
    public void setScreenMessage(String screenMessage) {
        this.screenMessage = screenMessage;
    }

    /**
     * Gets the severity.
     *
     * @return the severity
     */
    public String getSeverity() {
        return severity;
    }

    /**
     * Sets the severity.
     *
     * @param severity the new severity
     */
    public void setSeverity(String severity) {
        this.severity = severity;
    }

    /**
     * Gets the severity desc.
     *
     * @return the severity desc
     */
    public String getSeverityDesc() {
        return severityDesc;
    }

    /**
     * Sets the severity desc.
     *
     * @param severityDesc the new severity desc
     */
    public void setSeverityDesc(String severityDesc) {
        this.severityDesc = severityDesc;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
