package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Duplicate Therapy specific Screen request information.
 */
public class DPTScreenRequest extends ScreenRequestBase

{

    /** The use duplicate allowance. */
    private boolean useDuplicateAllowance;

    /** The return non actioniable results. */
    private boolean returnNonActioniableResults;

    /**
     * Gets the use duplicate allowance.
     *
     * @return the use duplicate allowance
     */
    public boolean getUseDuplicateAllowance() {
        return useDuplicateAllowance;
    }

    /**
     * Sets the use duplicate allowance.
     *
     * @param value the new use duplicate allowance
     */
    public void setUseDuplicateAllowance(boolean value) {
        useDuplicateAllowance = value;
    }

    /**
     * Checks if is return non actioniable results.
     *
     * @return true, if is return non actioniable results
     */
    public boolean isReturnNonActioniableResults() {
        return returnNonActioniableResults;
    }

    /**
     * Sets the return non actioniable results.
     *
     * @param returnNonActioniableResults the new return non actioniable results
     */
    public void setReturnNonActioniableResults(boolean returnNonActioniableResults) {
        this.returnNonActioniableResults = returnNonActioniableResults;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
