package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Duplicate Therapy Screen Response.
 */
public class DPTScreenResponse extends ScreenResponse

{

    /** The dpt screen results. */
    @JsonProperty(value = "dptScreenResults")
    private List<DPTScreenResult> dptScreenResults = new ArrayList<DPTScreenResult>();

    /**
     * Gets the DPT screen results.
     *
     * @return the DPT screen results
     */
    public List<DPTScreenResult> getDPTScreenResults() {
        return dptScreenResults;
    }

    /**
     * Sets the DPT screen results.
     *
     * @param newDPTScreenResults the new DPT screen results
     */
    public void setDPTScreenResults(List<DPTScreenResult> newDPTScreenResults) {
        dptScreenResults = newDPTScreenResults;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * gov.va.med.pharmacy.peps.external.common.fdbcloud.model.ScreenResponse
     * #toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
