package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Duplicate Therapy Screen Result.
 */
public class DPTScreenResult

{

    /** The dpt classes. */
    @JsonProperty(value = "dptClasses")
    private List<DPTClass> dptClasses;

    /** The is non actionable. */
    private boolean isNonActionable;

    /** The screen drugs. */
    private List<ScreenDrug> screenDrugs;

    /** The screen message. */
    private String screenMessage;

    /**
     * Gets the DPT classes.
     *
     * @return the DPT classes
     */
    public List<DPTClass> getDPTClasses() {
        return dptClasses;
    }

    /**
     * Sets the DPT classes.
     *
     * @param value the new DPT classes
     */
    public void setDPTClasses(List<DPTClass> value) {
        dptClasses = value;
    }

    /**
     * Gets the checks if is non actionable.
     *
     * @return the checks if is non actionable
     */
    public boolean getIsNonActionable() {
        return isNonActionable;
    }

    /**
     * Sets the checks if is non actionable.
     *
     * @param value the new checks if is non actionable
     */
    public void setIsNonActionable(boolean value) {
        isNonActionable = value;
    }

    /**
     * Gets the screen drugs.
     *
     * @return the screen drugs
     */
    public List<ScreenDrug> getScreenDrugs() {
        return screenDrugs;
    }

    /**
     * Sets the screen drugs.
     *
     * @param value the new screen drugs
     */
    public void setScreenDrugs(List<ScreenDrug> value) {
        screenDrugs = value;
    }

    /**
     * Gets the screen message.
     *
     * @return the screen message
     */
    public String getScreenMessage() {
        return screenMessage;
    }

    /**
     * Sets the screen message.
     *
     * @param value the new screen message
     */
    public void setScreenMessage(String value) {
        screenMessage = value;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
