package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * Drug Concept Type.
 */
@JsonFormat(shape = JsonFormat.Shape.NUMBER_INT)
public enum DrugConceptType {

    /** The dispensable generic. */
    DISPENSABLE_GENERIC(2, "DispensableGeneric");

    /** The ID. */
    private Integer id;
    /** The name. */
    private String name;

    /**
     * Instantiates a new drug concept type.
     *
     * @param id the id
     * @param name the name
     */
    private DrugConceptType(final Integer id, final String name) {
        setId(id);
        this.name = name;
    }

    /**
     * Gets the id.
     *
     * @return the id
     */
    public Integer getId() {
        return id;
    }

    /**
     * Sets the id.
     *
     * @param id the new id
     */
    public void setId(Integer id) {
        this.id = id;
    }
}
