package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Note containing errors and warnings from FDB Cloud Connector.
 */
public class Note {

    /** Note Type for messages when the data is not found. */
    public static final int NOTE_TYPE_NOT_FOUND = 1;

    /** Note Type for messages when request validation failed. */
    public static final int NOTE_TYPE_REQUEST_VALIDATION_FAILED = 2;

    /** Note Type for messages when the call is not supported. */
    public static final int NOTE_TYPE_NOT_SUPPORTED = 3;
    // 2-RequestValidationFailed
    // 3- NotSupported
    /** The note type. */
    private int noteType;

    /** The message text. */
    private String messageText;

    /** The item id. */
    private String itemID;

    /** The item id type. */
    private String itemIDType;

    /** The item description. */
    private String itemDescription;

    /**
     * Gets the note type.
     *
     * @return the note type
     */
    public int getNoteType() {
        return noteType;
    }

    /**
     * Sets the note type.
     *
     * @param noteType the new note type
     */
    public void setNoteType(int noteType) {
        this.noteType = noteType;
    }

    /**
     * Gets the message text.
     *
     * @return the message text
     */
    public String getMessageText() {
        return messageText;
    }

    /**
     * Sets the message text.
     *
     * @param messageText the new message text
     */
    public void setMessageText(String messageText) {
        this.messageText = messageText;
    }

    /**
     * Gets the item id.
     *
     * @return the item id
     */
    public String getItemID() {
        return itemID;
    }

    /**
     * Sets the item id.
     *
     * @param itemID the new item id
     */
    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    /**
     * Gets the item id type.
     *
     * @return the item id type
     */
    public String getItemIDType() {
        return itemIDType;
    }

    /**
     * Sets the item id type.
     *
     * @param itemIDType the new item id type
     */
    public void setItemIDType(String itemIDType) {
        this.itemIDType = itemIDType;
    }

    /**
     * Gets the item description.
     *
     * @return the item description
     */
    public String getItemDescription() {
        return itemDescription;
    }

    /**
     * Sets the item description.
     *
     * @param itemDescription the new item description
     */
    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
