package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.Date;

/**
 * Profile indicating characteristics of the patient.
 */
public class PatientProfile {

    /** The birthdate. */
    private Date birthdate;

    /** The body surface area. */
    private double bodySurfaceArea;

    /** The body surface area units. */
    private String bodySurfaceAreaUnits;

    /** The creatinine clearance. */
    private double creatinineClearance;

    /** The creatinine clearance level units. */
    private String creatinineClearanceLevelUnits;

    /** The gestational age in weeks. */
    private int gestationalAgeInWeeks;

    /** The hepatic level. */
    private String hepaticLevel;

    /** The patient weight. */
    private double patientWeight;

    /** The patient weight units. */
    private String patientWeightUnits;

    /** The sex. */
    private String sex;

    /**
     * Gets the birthdate.
     *
     * @return the birthdate
     */
    public Date getBirthdate() {
        return birthdate;
    }

    /**
     * Sets the birthdate.
     *
     * @param birthdate the new birthdate
     */
    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    /**
     * Gets the body surface area.
     *
     * @return the body surface area
     */
    public double getBodySurfaceArea() {
        return bodySurfaceArea;
    }

    /**
     * Sets the body surface area.
     *
     * @param bodySurfaceArea the new body surface area
     */
    public void setBodySurfaceArea(double bodySurfaceArea) {
        this.bodySurfaceArea = bodySurfaceArea;
    }

    /**
     * Gets the body surface area units.
     *
     * @return the body surface area units
     */
    public String getBodySurfaceAreaUnits() {
        return bodySurfaceAreaUnits;
    }

    /**
     * Sets the body surface area units.
     *
     * @param bodySurfaceAreaUnits the new body surface area units
     */
    public void setBodySurfaceAreaUnits(String bodySurfaceAreaUnits) {
        this.bodySurfaceAreaUnits = bodySurfaceAreaUnits;
    }

    /**
     * Gets the creatinine clearance.
     *
     * @return the creatinine clearance
     */
    public double getCreatinineClearance() {
        return creatinineClearance;
    }

    /**
     * Sets the creatinine clearance.
     *
     * @param creatinineClearance the new creatinine clearance
     */
    public void setCreatinineClearance(double creatinineClearance) {
        this.creatinineClearance = creatinineClearance;
    }

    /**
     * Gets the creatinine clearance level units.
     *
     * @return the creatinine clearance level units
     */
    public String getCreatinineClearanceLevelUnits() {
        return creatinineClearanceLevelUnits;
    }

    /**
     * Sets the creatinine clearance level units.
     *
     * @param creatinineClearanceLevelUnits the new creatinine clearance level
     *            units
     */
    public void setCreatinineClearanceLevelUnits(String creatinineClearanceLevelUnits) {
        this.creatinineClearanceLevelUnits = creatinineClearanceLevelUnits;
    }

    /**
     * Gets the gestational age in weeks.
     *
     * @return the gestational age in weeks
     */
    public int getGestationalAgeInWeeks() {
        return gestationalAgeInWeeks;
    }

    /**
     * Sets the gestational age in weeks.
     *
     * @param gestationalAgeInWeeks the new gestational age in weeks
     */
    public void setGestationalAgeInWeeks(int gestationalAgeInWeeks) {
        this.gestationalAgeInWeeks = gestationalAgeInWeeks;
    }

    /**
     * Gets the hepatic level.
     *
     * @return the hepatic level
     */
    public String getHepaticLevel() {
        return hepaticLevel;
    }

    /**
     * Sets the hepatic level.
     *
     * @param hepaticLevel the new hepatic level
     */
    public void setHepaticLevel(String hepaticLevel) {
        this.hepaticLevel = hepaticLevel;
    }

    /**
     * Gets the patient weight.
     *
     * @return the patient weight
     */
    public double getPatientWeight() {
        return patientWeight;
    }

    /**
     * Sets the patient weight.
     *
     * @param patientWeight the new patient weight
     */
    public void setPatientWeight(double patientWeight) {
        this.patientWeight = patientWeight;
    }

    /**
     * Gets the patient weight units.
     *
     * @return the patient weight units
     */
    public String getPatientWeightUnits() {
        return patientWeightUnits;
    }

    /**
     * Sets the patient weight units.
     *
     * @param patientWeightUnits the new patient weight units
     */
    public void setPatientWeightUnits(String patientWeightUnits) {
        this.patientWeightUnits = patientWeightUnits;
    }

    /**
     * Gets the sex.
     *
     * @return the sex
     */
    public String getSex() {
        return sex;
    }

    /**
     * Sets the sex.
     *
     * @param sex the new sex
     */
    public void setSex(String sex) {
        this.sex = sex;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
