/**
 *
 */
package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Base class for Responses from FDB Cloud Connector.
 */
public class ResponseBase {

    /** The response fields. */
    private String responseFields;
    // FDB listed this as a Guid type, but did not supply the definition for
    // Guid. String works.
    /** The service call id. */
    private String serviceCallID;

    /**
     * Gets the response fields that list what fields were included in the
     * response, if a subset was specified.
     *
     * @return the response fields
     */
    public String getResponseFields() {
        return responseFields;
    }

    /**
     * Sets the response fields to indicate which fields should be included in a
     * response.
     *
     * @param responseFields the new response fields
     */
    public void setResponseFields(String responseFields) {
        this.responseFields = responseFields;
    }

    /**
     * Gets the service call id, which is an id that can be used to track this
     * call into the FDB Cloud Connector Logs.
     *
     * @return the service call id
     */
    public String getServiceCallID() {
        return serviceCallID;
    }

    /**
     * Sets the service call id, which is an id that can be used to track this
     * call into the FDB Cloud Connector Logs.
     *
     * @param serviceCallID the new service call id
     */
    public void setServiceCallID(String serviceCallID) {
        this.serviceCallID = serviceCallID;
    }

}
