package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

/**
 * Request for a Screen FDB Cloud Connector service call.
 */
public class Screen {

    /** The call context. */
    private CallContext callContext;

    /** The screen profile. */
    private ScreenProfile screenProfile;

    /** The dpt screen request. */
    private DPTScreenRequest dptScreenRequest;

    /** The ddi screen request. */
    private DDIScreenRequest ddiScreenRequest;

    /** The patient profile. */
    private PatientProfile patientProfile;

    /**
     * Gets the call context.
     *
     * @return the call context
     */
    public CallContext getCallContext() {
        return callContext;
    }

    /**
     * Sets the call context.
     *
     * @param callContext the new call context
     */
    public void setCallContext(CallContext callContext) {
        this.callContext = callContext;
    }

    /**
     * Gets the screen profile.
     *
     * @return the screen profile
     */
    public ScreenProfile getScreenProfile() {
        return screenProfile;
    }

    /**
     * Sets the screen profile.
     *
     * @param screenProfile the new screen profile
     */
    public void setScreenProfile(ScreenProfile screenProfile) {
        this.screenProfile = screenProfile;
    }

    /**
     * Gets the dpt screen request.
     *
     * @return the dpt screen request
     */
    public DPTScreenRequest getDptScreenRequest() {
        return dptScreenRequest;
    }

    /**
     * Sets the dpt screen request.
     *
     * @param dptScreenRequest the new dpt screen request
     */
    public void setDptScreenRequest(DPTScreenRequest dptScreenRequest) {
        this.dptScreenRequest = dptScreenRequest;
    }

    /**
     * Gets the ddi screen request.
     *
     * @return the ddi screen request
     */
    public DDIScreenRequest getDdiScreenRequest() {
        return ddiScreenRequest;
    }

    /**
     * Sets the ddi screen request.
     *
     * @param ddiScreenRequest the new ddi screen request
     */
    public void setDdiScreenRequest(DDIScreenRequest ddiScreenRequest) {
        this.ddiScreenRequest = ddiScreenRequest;
    }

    /**
     * Gets the patient profile.
     *
     * @return the patient profile
     */
    public PatientProfile getPatientProfile() {
        return patientProfile;
    }

    /**
     * Sets the patient profile.
     *
     * @param patientProfile the new patient profile
     */
    public void setPatientProfile(PatientProfile patientProfile) {
        this.patientProfile = patientProfile;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
