package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import java.util.List;

/**
 * Response from an FDB Cloud Connector Screen service call.
 */
public class ScreenResponse

{

    /** The notes. */
    private List<Note> notes;

    /** The is successful. */
    private boolean isSuccessful;

    /** The response fields. */
    private String responseFields;

    /**
     * Determines the maximum number of results that are returned. This
     * parameter is used along with the Offset parameter to paginate data. For
     * example, there are 50 results. If you wanted to return only 25 results
     * per page (1-25 on the first page, 25-60 on the second page), the Limit
     * parameter would be 25.
     */
    private int limit;
    /**
     * Determines the index page number of the data that is returned. This
     * parameter is used along with the Limit parameter to paginate data. The
     * index is 1 based. For example, there are 50 results and the results are
     * displayed with 25 results per page (Limit parameter would be 25). If you
     * only wanted to display results from the second page (that is, results
     * 26-50), the Offset parameter value would be 2.
     */
    private int offset;

    /** The total count. */
    private int totalCount;

    /**
     * Gets the notes.
     *
     * @return the notes
     */
    public List<Note> getNotes() {
        return notes;
    }

    /**
     * Sets the notes.
     *
     * @param notes the new notes
     */
    public void setNotes(List<Note> notes) {
        this.notes = notes;
    }

    /**
     * Gets the checks if is successful.
     *
     * @return the checks if is successful
     */
    public boolean getIsSuccessful() {
        return isSuccessful;
    }

    /**
     * Sets the checks if is successful.
     *
     * @param value the new checks if is successful
     */
    public void setIsSuccessful(boolean value) {
        isSuccessful = value;
    }

    /**
     * Gets the response fields.
     *
     * @return the response fields
     */
    public String getResponseFields() {
        return responseFields;
    }

    /**
     * Sets the response fields.
     *
     * @param responseFields the new response fields
     */
    public void setResponseFields(String responseFields) {
        this.responseFields = responseFields;
    }

    /**
     * Gets the limit.
     *
     * @return the limit
     */
    public int getLimit() {
        return limit;
    }

    /**
     * Sets the limit.
     *
     * @param limit the new limit
     */
    public void setLimit(int limit) {
        this.limit = limit;
    }

    /**
     * Gets the offset.
     *
     * @return the offset
     */
    public int getOffset() {
        return offset;
    }

    /**
     * Sets the offset.
     *
     * @param offset the new offset
     */
    public void setOffset(int offset) {
        this.offset = offset;
    }

    /**
     * Gets the total count.
     *
     * @return the total count
     */
    public int getTotalCount() {
        return totalCount;
    }

    /**
     * Sets the total count.
     *
     * @param totalCount the new total count
     */
    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
