package gov.va.med.pharmacy.peps.external.common.fdbcloud.model;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * ScreenResult is the return type for a Screen service call.
 */
public class ScreenResult extends ResponseBase

{

    /** Indicates whether the screen was successful. */
    private boolean isSuccessful;

    /** The dascreenresponse. */
    @JsonProperty(value = "daScreenResponse")
    // since daScreenResponse is not in scope and it is difficult to get
    // data structure from FDB, we avoid it here by just using String
    // private DAScreenResponse dascreenresponse;
    private String dascreenresponse;

    /** The ddiscreenresponse. */
    @JsonProperty(value = "ddiScreenResponse")
    private DDIScreenResponse ddiscreenresponse;

    /** The ddcscreenresponse. */
    @JsonProperty(value = "ddcScreenResponse")
    private Object ddcscreenresponse;

    /** The dfiscreenresponse. */
    @JsonProperty(value = "dfiScreenResponse")
    private Object dfiscreenresponse;

    /** The dptscreenresponse. */
    @JsonProperty(value = "dptScreenResponse")
    private DPTScreenResponse dptscreenresponse;

    /**
     * Gets the checks if is successful.
     *
     * @return the checks if is successful
     */
    public boolean getIsSuccessful() {
        return isSuccessful;
    }

    /**
     * Sets the checks if is successful.
     *
     * @param value the new checks if is successful
     */
    public void setIsSuccessful(boolean value) {
        isSuccessful = value;
    }

    /**
     * Gets the DDI screen response.
     *
     * @return the DDI screen response
     */
    public DDIScreenResponse getDDIScreenResponse() {
        return ddiscreenresponse;
    }

    /**
     * Sets the DDI screen response.
     *
     * @param value the new DDI screen response
     */
    public void setDDIScreenResponse(DDIScreenResponse value) {
        ddiscreenresponse = value;
    }

    /**
     * Gets the DDC screen response.
     *
     * @return the DDC screen response
     */
    public Object getDDCScreenResponse() {
        return ddcscreenresponse;
    }

    /**
     * Sets the DDC screen response.
     *
     * @param value the new DDC screen response
     */
    public void setDDCScreenResponse(Object value) {
        ddcscreenresponse = value;
    }

    /**
     * Gets the DFI screen response.
     *
     * @return the DFI screen response
     */
    public Object getDFIScreenResponse() {
        return dfiscreenresponse;
    }

    /**
     * Sets the DFI screen response.
     *
     * @param value the new DFI screen response
     */
    public void setDFIScreenResponse(Object value) {
        dfiscreenresponse = value;
    }

    /**
     * Gets the DPT screen response.
     *
     * @return the DPT screen response
     */
    public DPTScreenResponse getDPTScreenResponse() {
        return dptscreenresponse;
    }

    /**
     * Sets the DPT screen response.
     *
     * @param value the new DPT screen response
     */
    public void setDPTScreenResponse(DPTScreenResponse value) {
        dptscreenresponse = value;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return org.apache.commons.lang.builder.ToStringBuilder.reflectionToString(this);
    }

}
