package gov.va.med.pharmacy.peps.external.common.drugdatavendor.capability.test;

import gov.va.med.pharmacy.peps.common.vo.DrugDataVendorVersionVo;
import gov.va.med.pharmacy.peps.external.common.drugdatavendor.capability.VersionCapability;

import javax.annotation.Resource;

import junit.framework.TestCase;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class VersionCapabilityTest extends TestCase {

    @Resource
    private VersionCapability capability;

    /**
     * Setup the capability
     * 
     * @throws Exception
     *             id error
     * 
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        System.out.println("--------------------------" + getName() + "--------------------------");

        ApplicationContext context = new ClassPathXmlApplicationContext("spring/mocha/test/InterfaceContext.xml");
        this.capability = (VersionCapability) context.getBean("versionCapability");
        System.out.println("VersionCapability Implementation being tested: " + capability.getClass());
    }

    /**
     * Test retrieving dose routes and types for one GCN sequence number
     */
    public void testRetrieveVersion() {
        DrugDataVendorVersionVo results = capability.retrieveDrugDataVendorVersion();
        System.out.println(results);

        assertNotNull("DrugDataVendorVersionVo is null", results);
    }

}
