package gov.va.med.pharmacy.peps.external.common.fdbcloud.capability.impl.rest;

import gov.va.med.pharmacy.peps.common.exception.DataNotFoundException;
import gov.va.med.pharmacy.peps.common.exception.InterfaceException;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.model.EnvironmentInformation;
import junit.framework.Assert;

import org.junit.Test;

/**
 * JUnit test for the EnvironmentInformationRestImpl.
 * 
 * @see EnvironmentInformationRestImpl
 */
public class EnvironmentInformationRestImplTest {

    @Test
    public void testSuccess() throws DataNotFoundException {
        EnvironmentInformationRestImpl impl = new EnvironmentInformationRestImpl();
        EnvironmentInformation ei = impl.retrieveEnvironmentInformation();
        Assert.assertNotNull(ei);
        Assert.assertNotNull(ei.getProductionDate());
    }

    @Test
    public void testBadURL() throws DataNotFoundException {
        EnvironmentInformationRestImpl impl = new EnvironmentInformationRestImpl();
        impl.setBaseURL("https://localhost");
        try {
            EnvironmentInformation ei = impl.retrieveEnvironmentInformation();
            Assert.fail("Expected InterfaceException");
        } catch (InterfaceException e) {
            // success!
        } catch (Exception e) {
            Assert.fail("Unexpected Exception: " + e);
        }
    }
}
