/**
 *
 */
package gov.va.med.pharmacy.peps.external.common.fdbcloud.capability.impl.rest;

import gov.va.med.pharmacy.peps.common.exception.InterfaceException;
import gov.va.med.pharmacy.peps.external.common.fdbcloud.model.DrugDrugMonograph;
import junit.framework.Assert;

import org.junit.Test;

/**
 * JUnit test for GetProfessionalMonographRestImpl.
 *
 * @see GetProfessionalMonographRestImpl
 */
public class GetProfessionalMonographRestImplTest {

    @Test
    public void testValid() {
        GetProfessionalMonographRestImpl impl = new GetProfessionalMonographRestImpl();
        DrugDrugMonograph ddm = impl.getProfessionalMonograph(283);
        Assert.assertNotNull(ddm);
        // System.out.println(ddm);
    }

    @Test
    public void testNotFound() {
        GetProfessionalMonographRestImpl impl = new GetProfessionalMonographRestImpl();
        DrugDrugMonograph ddm = impl.getProfessionalMonograph(123);
        Assert.assertNull(ddm);
    }

    @Test
    public void testNullId() {
        GetProfessionalMonographRestImpl impl = new GetProfessionalMonographRestImpl();
        try {
            DrugDrugMonograph ddm = impl.getProfessionalMonograph(null);
            Assert.fail("Expected InterfaceException");
        } catch (InterfaceException ie) {
            // success
        } catch (Exception e) {
            Assert.fail("Unexpected Exception: " + e);
        }
    }

}
