package gov.va.med.pharmacy.peps.external.common.preencapsulation.test.multiplerequests;

import gov.va.med.pharmacy.peps.external.common.preencapsulation.test.VistAWebServiceTestCase;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class OrderCheckServletThread extends VistAWebServiceTestCase {
    private static final Log LOGGER = LogFactory.getLog(MultipleRequests.class);
    private static final SimpleDateFormat dateFormatter = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss:SSS");

    private String threadName;
    private String requestFileName;
    
    public OrderCheckServletThread(String threadName, String requestFileName) {
        super();
        this.threadName = threadName;
        this.requestFileName = requestFileName;
    }
    
    public void test() throws Exception {
        assertActualResponseEqual(requestFileName, null);
    }
    
    /**
     * Send a request to the servlet
     * 
     * @param xmlRequest String XML request to send
     * @return String response from servlet
     * @throws IOException if error sending request
     */
    @Override
    public String sendRequest(String xmlRequest) throws IOException {
        try {
            printMessage("Sending Request");
            return call.sendRequest(xmlRequest);
        } finally {
            printMessage("Response received");
        }
    }

    private void printMessage(String msg) {
        LOGGER.info(threadName + ": " + msg + ": " + dateFormatter.format(new Date(System.currentTimeMillis())));
    }

    @Override
    public void assertActualResponseEqual(String requestPath, String responsePath) throws Exception {
        String request = readInputStream(requestPath);
        String response = sendRequest(request);
        LOGGER.info(response);
    }

    @Override
    public String getRequestURL() {
        return "ordercheck";
    }
}
